"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const rxjs_1 = require("rxjs");
exports.fromReadStream = (stream) => rxjs_1.Observable.create((observer) => {
    stream.on('end', () => observer.complete());
    stream.on('close', () => observer.complete());
    stream.on('error', error => observer.error(error));
    stream.on('data', chunk => observer.next(chunk.toString()));
});
//# sourceMappingURL=index.js.map